# pylint: disable=line-too-long
GEN_Z_HOBOKEN = [
    {
        "MOOD": "Music & Culture",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Concert Vibes",
                "PLACE_OR_ACTIVITY": [
                    "Live music at Maxwell's Tavern in Hoboken",
                    "Groove on Grove in Jersey City",
                ],
                "REASONING": "Just like their NYC counterparts, Gen Z in Hoboken and Jersey City enjoy live music experiences. Local venues and events offer a variety of such opportunities. ",
            },
            {
                "SUB_MOOD": "Cultural Exploration",
                "PLACE_OR_ACTIVITY": [
                    "Art shows at Hoboken Historical Museum",
                    "Visiting Mana Contemporary in Jersey City",
                ],
                "REASONING": "Hoboken and Jersey City are rich in culture and arts. Gen Z takes interest in exploring local art scenes and historical places. ",
            },
        ],
    },
    {
        "MOOD": "Socializing & Networking",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Chill Hangouts",
                "PLACE_OR_ACTIVITY": [
                    "Coffee at Bwe Kafe in Hoboken",
                    "Picnic at Liberty State Park in Jersey City",
                ],
                "REASONING": "Both Hoboken and Jersey City provide ample spaces for Gen Z to hang out and socialize in a relaxed atmosphere. ",
            },
            {
                "SUB_MOOD": "Career Networking",
                "PLACE_OR_ACTIVITY": [
                    "Meetups at Stevens Institute of Technology",
                    "Career fairs in Jersey City University",
                ],
                "REASONING": "With prominent educational institutions in both cities, Gen Z individuals have opportunities to network and attend professional events. ",
            },
        ],
    },
    {
        "MOOD": "Creative Arts",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Art Appreciation",
                "PLACE_OR_ACTIVITY": [
                    "Visiting the Hoboken Historical Museum",
                    "Attending art shows at the hob'art cooperative gallery",
                ],
                "REASONING": "Gen Z is drawn to creativity and self-expression, with many interested in visual arts. Visiting art galleries and museums allows them to engage with diverse perspectives and ideas. ",
            },
            {
                "SUB_MOOD": "Music Vibes",
                "PLACE_OR_ACTIVITY": [
                    "Live music at Maxwell's Tavern",
                    "Record shopping at Tunes Hoboken",
                ],
                "REASONING": "Music is integral to Gen Z's cultural experiences. They enjoy live performances and have reignited the trend of buying physical records. ",
            },
        ],
    },
    {
        "MOOD": "Digital Entertainment",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Gaming",
                "PLACE_OR_ACTIVITY": [
                    "E-sports events at local gaming lounges",
                    "Game nights with friends",
                ],
                "REASONING": "Gen Z has grown up with video games as a mainstream form of entertainment and are often attracted to social and competitive gaming scenes. ",
            },
            {
                "SUB_MOOD": "Streaming Culture",
                "PLACE_OR_ACTIVITY": [
                    "Netflix parties with friends",
                    "Sharing YouTube playlists",
                ],
                "REASONING": "Streaming platforms are the go-to source for Gen Z's entertainment, whether it's watching movies, shows, or sharing music. ",
            },
        ],
    },
    {
        "MOOD": "Outdoor Adventure",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Parks & Recreation",
                "PLACE_OR_ACTIVITY": [
                    "Picnic at Pier A Park",
                    "Kayaking at Hoboken Cove Boathouse",
                ],
                "REASONING": "Gen Z appreciates the benefits of spending time outdoors. Whether it's relaxing in a park or participating in outdoor activities, they value these experiences. ",
            },
            {
                "SUB_MOOD": "Urban Exploration",
                "PLACE_OR_ACTIVITY": [
                    "Exploring the Hoboken Waterfront Walkway",
                    "Cycling through Hoboken's historic districts",
                ],
                "REASONING": "This generation enjoys exploring their city, discovering new spots, and experiencing the unique character of their local neighborhoods. ",
            },
        ],
    },
    {
        "MOOD": "Urban Adventure",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "City Exploration",
                "PLACE_OR_ACTIVITY": [
                    "Biking on the Hudson River Waterfront Walkway",
                    "Exploring murals in Jersey City",
                ],
                "REASONING": "Gen Z's curiosity extends to exploring their hometowns of Hoboken and Jersey City. From biking along scenic routes to exploring vibrant street art, there's plenty to discover. ",
            },
            {
                "SUB_MOOD": "Thrill-Seeking",
                "PLACE_OR_ACTIVITY": [
                    "Kayaking on the Hudson",
                    "Escape Room challenges in Jersey City",
                ],
                "REASONING": "Gen Z seeks adventure and thrills, even within city bounds. Activities like kayaking and escape rooms offer an exciting break from routine. ",
            },
        ],
    },
    {
        "MOOD": "Fitness & Wellness",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Gym Sessions",
                "PLACE_OR_ACTIVITY": [
                    "Workouts at Crunch Fitness Hoboken",
                    "Training at Base NJ in Jersey City",
                ],
                "REASONING": "Fitness is a top priority for Gen Z. They enjoy working out, staying fit, and maintaining a healthy lifestyle. The presence of fitness centers across Hoboken and Jersey City cater to this need. ",
            },
            {
                "SUB_MOOD": "Yoga & Meditation",
                "PLACE_OR_ACTIVITY": [
                    "Yoga classes at Urban Souls Hoboken",
                    "Meditation sessions at Jivamukti Yoga Jersey City",
                ],
                "REASONING": "Gen Z places high emphasis on mental wellness. They often participate in yoga and meditation sessions to reduce stress and promote mindfulness. ",
            },
        ],
    },
    {
        "MOOD": "Foodie",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Culinary Exploration",
                "PLACE_OR_ACTIVITY": [
                    "Trying Italian at Leo's Grandevous in Hoboken",
                    "Sampling seafood at Surf City in Jersey City",
                ],
                "REASONING": "Gen Z is open to trying new cuisines and has a love for food exploration. The culinary diversity of Hoboken and Jersey City provides endless opportunities. ",
            },
            {
                "SUB_MOOD": "Coffee Culture",
                "PLACE_OR_ACTIVITY": [
                    "Brew tasting at Black Rail Coffee in Hoboken",
                    "Chilling at ModCup Coffee in Jersey City",
                ],
                "REASONING": "Gen Z has embraced coffee culture, often visiting local coffee shops not just for a caffeine fix, but for socializing and even working on projects. ",
            },
        ],
    },
    {
        "MOOD": "Eco-Consciousness",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Green Living",
                "PLACE_OR_ACTIVITY": [
                    "Volunteering at Hoboken Green Team",
                    "Participating in community clean-ups in Jersey City",
                ],
                "REASONING": "Gen Z is deeply concerned about the environment and climate change. They participate in eco-friendly activities and often volunteer for causes they care about. ",
            },
            {
                "SUB_MOOD": "Sustainable Shopping",
                "PLACE_OR_ACTIVITY": [
                    "Thrifting at Hoboken Vintage",
                    "Buying local produce at Jersey City Farmers' Market",
                ],
                "REASONING": "This generation prefers to shop sustainably, supporting local businesses, thrift stores, and farmers' markets over fast fashion and industrial supermarkets. ",
            },
        ],
    },
    {
        "MOOD": "Tech & Innovation",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Start-up Enthusiasm",
                "PLACE_OR_ACTIVITY": [
                    "Participating in Hoboken Tech Meetup",
                    "Attending Jersey City Tech events",
                ],
                "REASONING": "Being digital natives, Gen Z is often enthusiastic about technology and innovation. They love participating in tech events, meetups, and start-up events to connect and learn. ",
            },
            {
                "SUB_MOOD": "Maker Movement",
                "PLACE_OR_ACTIVITY": [
                    "3D Printing workshops at Hoboken Public Library",
                    "DIY events at MakerBar in Jersey City",
                ],
                "REASONING": "Gen Z is a generation of creators. They're drawn to the maker movement and enjoy activities that involve creating and innovating, whether it's 3D printing or DIY projects. ",
            },
        ],
    },
    {
        "MOOD": "Education & Learning",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Continual Learning",
                "PLACE_OR_ACTIVITY": [
                    "Courses at Hudson County Community College",
                    "Online courses at the Hoboken Public Library",
                ],
                "REASONING": "Gen Z believes in lifelong learning. They continually seek to educate themselves, both in academic and non-academic spheres. ",
            },
            {
                "SUB_MOOD": "Career Development",
                "PLACE_OR_ACTIVITY": [
                    "Career coaching at Jersey City Employment and Training Program",
                    "Internships at Hoboken startups",
                ],
                "REASONING": "Gen Z is career-focused and looks for opportunities to develop their professional skills. This includes seeking internships, career coaching, and networking events. ",
            },
        ],
    },
    {
        "MOOD": "Community Service",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Local Volunteering",
                "PLACE_OR_ACTIVITY": [
                    "Helping at Hoboken Shelter",
                    "Volunteering at AngelaCARES in Jersey City",
                ],
                "REASONING": "Gen Z feels strongly about giving back to their community. They often participate in local volunteer work and community service. ",
            },
            {
                "SUB_MOOD": "Social Advocacy",
                "PLACE_OR_ACTIVITY": [
                    "Participating in climate marches in Hoboken",
                    "Attending social justice rallies in Jersey City",
                ],
                "REASONING": "This generation is not afraid to voice their opinions on social issues. They advocate for causes they believe in, participating in rallies, marches, and advocacy events. ",
            },
        ],
    },
]

MILLENIALS = [
    {
        "MOOD": "Experiential",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Travel",
                "PLACE_OR_ACTIVITY": [
                    "Backpacking trips",
                    "Cultural tourism",
                    "Food tourism",
                ],
                "REASONING": "Millennials are known for prioritizing experiences over material goods, and travel is a common way to seek new experiences. This is often reflected in travel bloggers and influencers popular among this DEMOGRAPHICS.",
            },
            {
                "SUB_MOOD": "Culinary exploration",
                "PLACE_OR_ACTIVITY": [
                    "Food trucks",
                    "Cooking classes",
                    "Ethnic restaurants",
                ],
                "REASONING": "Food exploration and the desire to try new cuisines is common among millennials, and this is evident in the rise of food delivery apps, cooking shows, and foodie culture.",
            },
        ],
    },
    {
        "MOOD": "Fitness Oriented",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Physical wellness",
                "PLACE_OR_ACTIVITY": [
                    "Yoga classes",
                    "Marathons",
                    "Outdoor biking",
                ],
                "REASONING": "A focus on health and fitness is quite prominent among millennials. The rise of fitness influencers and health-centric apps and startups caters to this mood.",
            },
            {
                "SUB_MOOD": "Mental wellness",
                "PLACE_OR_ACTIVITY": [
                    "Meditation retreats",
                    "Wellness workshops",
                    "Art therapy",
                ],
                "REASONING": "Mental wellness and mindfulness have gained popularity among millennials, with an increase in the usage of mental health apps and self-care practices.",
            },
        ],
    },
    {
        "MOOD": "Entrepreneurial",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Startup culture",
                "PLACE_OR_ACTIVITY": [
                    "Startup meetups",
                    "Hackathons",
                    "Business workshops",
                ],
                "REASONING": "Millennials are known for their entrepreneurial spirit, with many starting their own businesses. This is often reflected in popular culture with shows like 'Shark Tank' and the growth of coworking spaces.",
            },
            {
                "SUB_MOOD": "Skill development",
                "PLACE_OR_ACTIVITY": [
                    "Coding bootcamps",
                    "Professional networking events",
                    "Online courses",
                ],
                "REASONING": "This generation values lifelong learning and skill development, encouraged by platforms like LinkedIn Learning, Coursera, and Udemy.",
            },
        ],
    },
    {
        "MOOD": "Global Consciousness",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Worldly Awareness",
                "PLACE_OR_ACTIVITY": [
                    "International Film Festivals",
                    "Cultural Exhibitions",
                    "Global News Discussions",
                ],
                "REASONING": "Millennials tend to be global citizens who appreciate cultural diversity and are aware of world events.",
            }
        ],
    },
    {
        "MOOD": "Eco-consciousness",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Sustainability Practices",
                "PLACE_OR_ACTIVITY": [
                    "Farmers Markets",
                    "Community Gardens",
                    "Recycling Workshops",
                ],
                "REASONING": "The Millennial generation has a strong inclination towards sustainability and eco-friendly living.",
            }
        ],
    },
    {
        "MOOD": "Tech-Savvy",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Technological Exploration",
                "PLACE_OR_ACTIVITY": [
                    "Tech Expos",
                    "Startup Launch Events",
                    "Coding Bootcamps",
                ],
                "REASONING": "Millennials are known to be tech-savvy and often seek out opportunities to explore new technologies and innovations.",
            }
        ],
    },
    {
        "MOOD": "Social Responsibility",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Community Service",
                "PLACE_OR_ACTIVITY": [
                    "Local Charity Events",
                    "Community Clean-Up",
                    "Social Activism",
                ],
                "REASONING": "Many Millennials feel a strong sense of social responsibility and are often involved in community service and activism.",
            }
        ],
    },
    {
        "MOOD": "Work-Life Balance",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Work Flexibility",
                "PLACE_OR_ACTIVITY": [
                    "Coworking Spaces",
                    "Remote Work Cafes",
                    "Work-Life Balance Seminars",
                ],
                "REASONING": "Millennials value work-life balance and often seek flexible work arrangements, contributing to the rise of remote work and coworking spaces.",
            }
        ],
    },
    {
        "MOOD": "Adventure Seeker",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Outdoor Enthusiast",
                "PLACE_OR_ACTIVITY": [
                    "Hiking Trails",
                    "Adventure Sports",
                    "Camping Trips",
                ],
                "REASONING": "Many Millennials have an adventurous spirit and enjoy outdoor activities and experiences.",
            }
        ],
    },
    {
        "MOOD": "Health and Wellness",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Healthy Living",
                "PLACE_OR_ACTIVITY": [
                    "Gym Memberships",
                    "Yoga Retreats",
                    "Organic Cooking Classes",
                ],
                "REASONING": "Millennials have shown significant interest in health and wellness, with a focus on fitness, nutrition, and overall well-being.",
            }
        ],
    },
    {
        "MOOD": "DIY Spirit",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Home Improvement",
                "PLACE_OR_ACTIVITY": [
                    "Home Improvement Workshops",
                    "DIY Craft Classes",
                    "Upcycling Furniture",
                ],
                "REASONING": "The Do-It-Yourself culture is popular among Millennials, who often take on projects to express creativity and save money.",
            }
        ],
    },
    {
        "MOOD": "Financial Consciousness",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Financial Planning",
                "PLACE_OR_ACTIVITY": [
                    "Investment Seminars",
                    "Financial Literacy Webinars",
                    "Budgeting Apps",
                ],
                "REASONING": "Millennials focus on financial planning and management, making use of digital tools and resources to budget, save, and invest.",
            }
        ],
    },
    {
        "MOOD": "Lifelong Learning",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Continuous Education",
                "PLACE_OR_ACTIVITY": [
                    "Online Courses",
                    "Book Clubs",
                    "Educational Podcasts",
                ],
                "REASONING": "Millennials value continuous learning and often engage in activities that allow them to gain new skills and knowledge.",
            }
        ],
    },
    {
        "MOOD": "Minimalism",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Simple Living",
                "PLACE_OR_ACTIVITY": [
                    "Tiny Home Tours",
                    "Minimalist Lifestyle Workshops",
                    "Decluttering Challenges",
                ],
                "REASONING": "The trend of minimalism, focusing on less is more, appeals to many Millennials, who are often interested in reducing clutter and embracing simplicity.",
            }
        ],
    },
    {
        "MOOD": "Urban Exploration",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "City Life",
                "PLACE_OR_ACTIVITY": [
                    "City Tours",
                    "Food Trucks",
                    "Street Fairs",
                ],
                "REASONING": "Many Millennials are drawn to the vibrancy and diversity of city life, exploring new neighborhoods, cuisines, and cultural events.",
            }
        ],
    },
]

GEN_Z = [
    {
        "MOOD": "Digital Detox",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Offline exploration",
                "PLACE_OR_ACTIVITY": [
                    "Nature hikes",
                    "Visit to analog gaming cafes",
                    "Thrift shopping",
                ],
                "REASONING": "As much as Gen Z loves the digital world, they also crave times of digital detox, stepping away from screens and engaging with the real world.",
            },
            {
                "SUB_MOOD": "Unplugged socializing",
                "PLACE_OR_ACTIVITY": [
                    "Board game nights",
                    "Outdoor sports",
                    "DIY Craft workshops",
                ],
                "REASONING": "Times of unplugged socializing are appreciated among Gen Z, who balance their digital lives with in-person connections.",
            },
        ],
    },
    {
        "MOOD": "Virtually Social",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "E-gaming",
                "PLACE_OR_ACTIVITY": [
                    "E-sports tournaments",
                    "Live streaming game sessions",
                ],
                "REASONING": "The advent of technology has significantly impacted how Gen Z socializes. E-gaming is one of the areas where they interact, compete, and collaborate.",
            },
            {
                "SUB_MOOD": "Online Meetups",
                "PLACE_OR_ACTIVITY": [
                    "Online film clubs",
                    "Virtual concerts",
                    "Social media challenges",
                ],
                "REASONING": "With the rise of virtual reality and online platforms, Gen Z finds innovative ways to socialize and share experiences online.",
            },
        ],
    },
    {
        "MOOD": "Sustainable",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Environmentally conscious",
                "PLACE_OR_ACTIVITY": [
                    "Beach cleanups",
                    "Tree planting",
                    "Local farmers market",
                ],
                "REASONING": "Gen Z is notably concerned about sustainability, aiming to contribute positively to the environment. This is reflected in their participation in environmentally friendly activities.",
            },
            {
                "SUB_MOOD": "Ethical consumption",
                "PLACE_OR_ACTIVITY": [
                    "Vegan restaurants",
                    "Fair-trade coffee shops",
                    "Thrift stores",
                ],
                "REASONING": "This generation pays great attention to ethical consumption, showing interest in fair-trade, vegan, and second-hand shopping.",
            },
        ],
    },
    {
        "MOOD": "Creativity",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Artistic expression",
                "PLACE_OR_ACTIVITY": [
                    "Art workshops",
                    "Street art tours",
                    "DIY fashion",
                ],
                "REASONING": "Generation Z values creative expression and often seeks opportunities to learn, create, and share their work, seen in the popularity of platforms like TikTok and Etsy among this DEMOGRAPHICS.",
            },
            {
                "SUB_MOOD": "Content creation",
                "PLACE_OR_ACTIVITY": [
                    "Vlogging",
                    "Podcasting",
                    "Creating TikTok videos",
                ],
                "REASONING": "Content creation is a significant aspect of Gen Z culture, often used as a form of self-expression and communication. Platforms like YouTube and TikTok are popular outlets for this.",
            },
        ],
    },
    {
        "MOOD": "Activism",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Social justice",
                "PLACE_OR_ACTIVITY": [
                    "Protests",
                    "Social justice meetups",
                    "Volunteering for NGOs",
                ],
                "REASONING": "Gen Z is often engaged in social activism and is passionate about social justice. They actively participate in movements and volunteer work to bring about change.",
            },
            {
                "SUB_MOOD": "Climate change",
                "PLACE_OR_ACTIVITY": [
                    "Climate strikes",
                    "Recycling workshops",
                    "Sustainable living webinars",
                ],
                "REASONING": "Concern for the environment is a hallmark of Gen Z, with many actively participating in climate change activism and sustainable practices.",
            },
        ],
    },
    {
        "MOOD": "Self-Care",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Mental health",
                "PLACE_OR_ACTIVITY": [
                    "Mindfulness apps",
                    "Online therapy sessions",
                    "Self-help books",
                ],
                "REASONING": "Gen Z places a high importance on mental health, with many using tools like mindfulness apps, therapy, and self-help resources to take care of their mental wellbeing.",
            },
            {
                "SUB_MOOD": "Physical health",
                "PLACE_OR_ACTIVITY": [
                    "Home workouts",
                    "Healthy cooking",
                    "Outdoor sports",
                ],
                "REASONING": "Physical health is also a priority for Gen Z, seen in the popularity of home workouts, healthy eating, and outdoor activities.",
            },
        ],
    },
    {
        "MOOD": "Authenticity",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Real and raw",
                "PLACE_OR_ACTIVITY": [
                    "Documenting daily life on social media",
                    "Authentic storytelling",
                    "Unfiltered self-portraits",
                ],
                "REASONING": "Gen Z values authenticity and tends to gravitate toward real, unfiltered content and experiences. This is reflected in their social media usage, where they often share real and raw moments of their lives.",
            }
        ],
    },
    {
        "MOOD": "Fandom",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Pop culture",
                "PLACE_OR_ACTIVITY": [
                    "Concerts",
                    "Comic conventions",
                    "Streaming TV series",
                ],
                "REASONING": "Gen Z has a strong affinity for pop culture and often participates in fandoms of various music artists, TV shows, movies, and more. This is visible in their active participation in events and online communities dedicated to these interests.",
            }
        ],
    },
    {
        "MOOD": "Memes & Trends",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Trend-Spotting",
                "PLACE_OR_ACTIVITY": [
                    "Social Media Platforms",
                    "Fashion Shows",
                    "Trend-Setting Events",
                ],
                "REASONING": "Gen Z individuals are digital natives who use social media not just for communication but to keep up with the latest trends. They enjoy sharing, exploring and engaging with the newest trends whether in fashion, culture, or digital space. ",
            },
            {
                "SUB_MOOD": "Meme Culture",
                "PLACE_OR_ACTIVITY": [
                    "Internet Culture Forums",
                    "Meme-Related Gatherings",
                ],
                "REASONING": "Memes are a significant part of Gen Z's online language. They use memes as a form of expression, communication, and humor, thus participating in events or online platforms revolving around memes. ",
            },
        ],
    },
    {
        "MOOD": "FOMO (Fear Of Missing Out)",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Social FOMO",
                "PLACE_OR_ACTIVITY": ["Parties", "Concerts", "Festivals"],
                "REASONING": "Gen Z individuals have grown up in a hyper-connected world, causing a fear of missing out on social events and experiences. Social media plays a big role in this as they are constantly exposed to their friends and influencers attending these events. ",
            },
            {
                "SUB_MOOD": "Professional FOMO",
                "PLACE_OR_ACTIVITY": [
                    "Career Fairs",
                    "Networking Events",
                    "Online Professional Webinars",
                ],
                "REASONING": "Gen Z is known for being career-focused from a young age. Their FOMO extends to professional opportunities, always on the lookout for the next big thing that could give them a competitive edge. ",
            },
        ],
    },
]

GEN_Z_NYC = [
    {
        "MOOD": "Memes & Trends",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Trend-Spotting",
                "PLACE_OR_ACTIVITY": [
                    "NYC Fashion Week",
                    "Williamsburg street markets",
                    "Brooklyn art galleries",
                ],
                "REASONING": "Gen Z New Yorkers are always in tune with the latest trends and enjoy attending local cultural and fashion events. They're known for their interest in street fashion, art, and indie music, and use these experiences to express themselves online. ",
            },
            {
                "SUB_MOOD": "Meme Culture",
                "PLACE_OR_ACTIVITY": [
                    "Comedy Cellar stand-ups",
                    "Meme-themed NYC meetups",
                ],
                "REASONING": "Memes have become a significant part of Gen Z's culture and language. In NYC, this might mean attending events or performances that are known for their humor and meme-generating potential. ",
            },
        ],
    },
    {
        "MOOD": "FOMO (Fear Of Missing Out)",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Social FOMO",
                "PLACE_OR_ACTIVITY": [
                    "Gov Ball Music Festival",
                    "Rooftop parties in Manhattan",
                    "Williamsburg food festivals",
                ],
                "REASONING": "Living in a city like New York, which is always bustling with events, Gen Z's FOMO is even more intensified. From music festivals to food fairs, there's always something happening. ",
            },
            {
                "SUB_MOOD": "Professional FOMO",
                "PLACE_OR_ACTIVITY": [
                    "Startup Meetups",
                    "Tech conferences at Javits Center",
                    "Internship fairs at NYU",
                ],
                "REASONING": "New York City is a hub for opportunities, particularly in industries like tech, fashion, and finance. Gen Z individuals who are eager to get a head start in their careers often find themselves experiencing FOMO over professional opportunities. ",
            },
        ],
    },
    {
        "MOOD": "Activism",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Climate Change Activism",
                "PLACE_OR_ACTIVITY": [
                    "Climate rallies at Central Park",
                    "Sustainability workshops at Brooklyn Grange Farm",
                ],
                "REASONING": "Gen Z individuals are particularly passionate about issues such as climate change. In NYC, they might be found attending or organizing climate rallies, or participating in sustainable living workshops. ",
            },
            {
                "SUB_MOOD": "Social Justice Activism",
                "PLACE_OR_ACTIVITY": [
                    "BLM protests at Times Square",
                    "Pride parades in Manhattan",
                ],
                "REASONING": "Social justice issues are a key concern for Gen Z. In a diverse city like New York, this often translates into participation in protests, marches, and parades supporting various social causes. ",
            },
        ],
    },
    {
        "MOOD": "Creativity",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Artistic Expression",
                "PLACE_OR_ACTIVITY": [
                    "Street Art tours in Bushwick",
                    "Open mic nights at Nuyorican Poets Cafe",
                ],
                "REASONING": "Gen Z is known for their creativity, often expressing themselves through various art forms. In a city like NYC, there are numerous opportunities to explore and share their talent. ",
            },
            {
                "SUB_MOOD": "Content Creation",
                "PLACE_OR_ACTIVITY": [
                    "Vlogging in Times Square",
                    "Photowalks in SoHo",
                ],
                "REASONING": "Content creation is a popular pastime for many Gen Z individuals. In NYC, the vibrant city life provides countless opportunities for interesting and engaging content. ",
            },
        ],
    },
    {
        "MOOD": "Self-Care",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Physical Health",
                "PLACE_OR_ACTIVITY": [
                    "Yoga in Bryant Park",
                    "Running along the Hudson River",
                ],
                "REASONING": "Despite their busy lives, Gen Z values their physical health, often incorporating regular exercise and outdoor activities into their routine. ",
            },
            {
                "SUB_MOOD": "Mental Health",
                "PLACE_OR_ACTIVITY": [
                    "Meditation workshops at MNDFL",
                    "Self-care Sundays at home",
                ],
                "REASONING": "Mental health awareness is crucial for Gen Z, and they value activities that help reduce stress and promote mindfulness. ",
            },
        ],
    },
    {
        "MOOD": "Learning & Growth",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Professional Development",
                "PLACE_OR_ACTIVITY": [
                    "Tech meetups in Silicon Alley",
                    "Internship fairs at Columbia University",
                ],
                "REASONING": "Gen Z is serious about their future and strives for professional growth. They often attend meetups, seminars, and fairs to network and learn. ",
            },
            {
                "SUB_MOOD": "Personal Growth",
                "PLACE_OR_ACTIVITY": [
                    "Personal development workshops at General Assembly",
                    "Language exchange meetups in East Village",
                ],
                "REASONING": "Gen Z values personal growth and strives for self-improvement. They often seek out learning opportunities that can help broaden their horizons. ",
            },
        ],
    },
    {
        "MOOD": "Digital Detox",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Nature Escape",
                "PLACE_OR_ACTIVITY": [
                    "Hiking in the Hudson Valley",
                    "Picnicking in Central Park",
                ],
                "REASONING": "Even though Gen Z is the digital generation, they value time spent away from screens, particularly in natural settings. ",
            },
            {
                "SUB_MOOD": "Mindful Living",
                "PLACE_OR_ACTIVITY": [
                    "Meditation at the Rubin Museum",
                    "Pottery classes in Greenwich Village",
                ],
                "REASONING": "Gen Z individuals are increasingly turning to mindfulness practices and hobbies that allow them to unplug and relax. ",
            },
        ],
    },
    {
        "MOOD": "Adventurous Eating",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Exotic Cuisines",
                "PLACE_OR_ACTIVITY": [
                    "Ethiopian food in Harlem",
                    "Korean BBQ in K-Town",
                ],
                "REASONING": "Gen Z is adventurous and open to trying new things, including different cuisines. NYC, being a culinary melting pot, provides plenty of opportunities for this. ",
            },
            {
                "SUB_MOOD": "Foodie Culture",
                "PLACE_OR_ACTIVITY": [
                    "Food photography at Smorgasburg",
                    "Dessert tasting at Dominique Ansel Bakery",
                ],
                "REASONING": "Foodie culture is big with Gen Z. They love exploring trendy spots, tasting unique dishes, and of course, posting about it on social media. ",
            },
        ],
    },
    {
        "MOOD": "Athleisure",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Fitness Culture",
                "PLACE_OR_ACTIVITY": [
                    "Spin class at SoulCycle",
                    "CrossFit in the Lower East Side",
                ],
                "REASONING": "Fitness culture is big with Gen Z, often tied in with their preference for athleisure fashion. They value activities that help them stay fit and healthy. ",
            },
            {
                "SUB_MOOD": "Casual & Comfortable",
                "PLACE_OR_ACTIVITY": [
                    "Shopping at Lululemon",
                    "Cafe hangouts in athleisure wear",
                ],
                "REASONING": "Gen Z values comfort and often prefers casual clothing like athleisure for regular outings, enhancing the whole 'casual & comfortable' vibe of their mood. ",
            },
        ],
    },
    {
        "MOOD": "Music & Culture",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Concert Vibes",
                "PLACE_OR_ACTIVITY": [
                    "Music festivals at Governors Island",
                    "Concerts at Madison Square Garden",
                ],
                "REASONING": "Music is a crucial part of Gen Z's life, and they often participate in concerts and music festivals to experience it live. NYC, being a cultural hub, provides ample opportunities for such experiences. ",
            },
            {
                "SUB_MOOD": "Cultural Exploration",
                "PLACE_OR_ACTIVITY": [
                    "Visit to MoMA",
                    "Broadway show in Theater District",
                ],
                "REASONING": "Gen Z is keen on understanding and appreciating diverse cultures. In NYC, they often engage in activities such as visiting museums or watching Broadway shows. ",
            },
        ],
    },
    {
        "MOOD": "Socializing & Networking",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "Chill Hangouts",
                "PLACE_OR_ACTIVITY": [
                    "Cafes in Williamsburg",
                    "Picnic at Prospect Park",
                ],
                "REASONING": "Gen Z values face-to-face social interactions and often arranges chill hangouts with friends. Cafes, parks, and similar spaces provide a perfect setting. ",
            },
            {
                "SUB_MOOD": "Career Networking",
                "PLACE_OR_ACTIVITY": [
                    "Networking events at WeWork",
                    "Industry talks at NYU",
                ],
                "REASONING": "As they step into their professional lives, Gen Z recognizes the importance of networking. They often attend industry events and talks to expand their professional circle. ",
            },
        ],
    },
    {
        "MOOD": "Urban Adventure",
        "SUB_MOODS": [
            {
                "SUB_MOOD": "City Exploration",
                "PLACE_OR_ACTIVITY": [
                    "Exploring street art in Lower East Side",
                    "Rooftop views from Top of the Rock",
                ],
                "REASONING": "Gen Z loves exploring their city, uncovering hidden gems, and soaking in the urban vibe. NYC, with its diverse cityscape, is a playground for such exploration. ",
            },
            {
                "SUB_MOOD": "Thrill-Seeking",
                "PLACE_OR_ACTIVITY": [
                    "Rollerblading in Central Park",
                    "Indoor rock climbing at Brooklyn Boulders",
                ],
                "REASONING": "Gen Z seeks thrills and adventures. They often participate in fun, adrenaline-pumping activities within their city. ",
            },
        ],
    },
]
